Bug 109243 - [CI][BAT] igt@i915_selftest@mock_vma - dmesg-warn - mock: overflow 0x00000001bb800000+2097152 of DMA mask ffffffff bus mask 0
Summary: [CI][BAT] igt@i915_selftest@mock_vma - dmesg-warn - mock: overflow 0x00000001...
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: DRI git
Hardware: Other All
: highest normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-07 16:03 UTC by Martin Peres
Modified: 2019-01-08 12:15 UTC (History)
1 user (show)

See Also:
i915 platform: ALL
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Peres 2019-01-07 16:03:54 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5366/shard-iclb4/igt@i915_selftest@mock_vma.html

<5> [2057.152956] Setting dangerous option mock_selftests - tainting kernel
<6> [2057.172564] i915: Performing mock selftests with st_random_seed=0xa7912d9b st_timeout=1000
<3> [2058.596944]  mock: overflow 0x000000046be00000+2097152 of DMA mask ffffffff bus mask 0
<4> [2058.597096] WARNING: CPU: 1 PID: 14799 at kernel/dma/direct.c:43 dma_direct_map_page+0x11b/0x160
<4> [2058.597098] Modules linked in: i915(+) vgem snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_codec_generic x86_pkg_temp_thermal coretemp snd_hda_codec snd_hwdep snd_hda_core crct10dif_pclmul crc32_pclmul ghash_clmulni_intel cdc_ether snd_pcm usbnet mii e1000e i2c_i801 prime_numbers [last unloaded: i915]
<4> [2058.597114] CPU: 1 PID: 14799 Comm: i915_selftest Tainted: G     U            5.0.0-rc1-CI-CI_DRM_5366+ #1
<4> [2058.597115] Hardware name: Intel Corporation Ice Lake Client Platform/IceLake U DDR4 SODIMM PD RVP TLC, BIOS ICLSFWR1.R00.2402.AD3.1810170014 10/17/2018
<4> [2058.597118] RIP: 0010:dma_direct_map_page+0x11b/0x160
<4> [2058.597120] Code: 20 01 00 75 25 4c 8b 8b 50 03 00 00 48 8d 54 24 10 48 89 e9 48 c7 c6 f0 b3 09 82 48 89 df c6 05 56 10 20 01 01 e8 b5 b3 51 00 <0f> 0b 48 c7 c0 ff ff ff ff e9 65 ff ff ff 48 89 ca e9 58 ff ff ff
<4> [2058.597122] RSP: 0018:ffffc900003179a8 EFLAGS: 00010286
<4> [2058.597125] RAX: 0000000000000000 RBX: ffff888495c700b0 RCX: 0000000000000000
<4> [2058.597126] RDX: 0000000000000000 RSI: ffffffff820cce01 RDI: 00000000ffffffff
<4> [2058.597128] RBP: 0000000000200000 R08: 000000009b75248c R09: 0000000000000000
<4> [2058.597130] R10: 0000000000000000 R11: 0000000000000000 R12: ffff88846d644000
<4> [2058.597132] R13: 0000000000000000 R14: 0000000000000100 R15: ffff88846d644000
<4> [2058.597134] FS:  00007fa1c0c11980(0000) GS:ffff8884afe80000(0000) knlGS:0000000000000000
<4> [2058.597136] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
<4> [2058.597138] CR2: 00007ffc49365da0 CR3: 0000000442b56006 CR4: 0000000000760ee0
<4> [2058.597139] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
<4> [2058.597141] DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
<4> [2058.597142] PKRU: 55555554
<4> [2058.597144] Call Trace:
<4> [2058.597149]  dma_direct_map_sg+0x48/0xd0
<4> [2058.597204]  i915_gem_gtt_prepare_pages+0x97/0xf0 [i915]
<4> [2058.597245]  i915_gem_object_get_pages_internal+0x225/0x2b0 [i915]
<4> [2058.597282]  ____i915_gem_object_get_pages+0x1d/0xa0 [i915]
<4> [2058.597315]  __i915_gem_object_get_pages+0x59/0xb0 [i915]
<4> [2058.597356]  __i915_vma_do_pin+0x9a8/0xd90 [i915]
<4> [2058.597396]  igt_vma_partial+0x469/0x790 [i915]
<4> [2058.597451]  __i915_subtests+0x5e/0xf0 [i915]
<4> [2058.597491]  i915_vma_mock_selftests+0x3a/0x60 [i915]
<4> [2058.597537]  __run_selftests+0x14d/0x190 [i915]
<4> [2058.597540]  ? 0xffffffffa06cf000
<4> [2058.597581]  i915_mock_selftests+0x27/0x50 [i915]
<4> [2058.597616]  i915_init+0x7/0x68 [i915]
<4> [2058.597619]  ? 0xffffffffa06cf000
<4> [2058.597622]  do_one_initcall+0x58/0x2e0
<4> [2058.597626]  ? do_init_module+0x1d/0x1ea
<4> [2058.597629]  ? rcu_read_lock_sched_held+0x6f/0x80
<4> [2058.597633]  ? kmem_cache_alloc_trace+0x264/0x290
<4> [2058.597637]  do_init_module+0x56/0x1ea
<4> [2058.597641]  load_module+0x227e/0x29c0
<4> [2058.597655]  ? __se_sys_finit_module+0xd3/0xf0
<4> [2058.597658]  __se_sys_finit_module+0xd3/0xf0
<4> [2058.597668]  do_syscall_64+0x55/0x190
<4> [2058.597672]  entry_SYSCALL_64_after_hwframe+0x49/0xbe
<4> [2058.597674] RIP: 0033:0x7fa1c04d7839
<4> [2058.597677] Code: 00 f3 c3 66 2e 0f 1f 84 00 00 00 00 00 0f 1f 40 00 48 89 f8 48 89 f7 48 89 d6 48 89 ca 4d 89 c2 4d 89 c8 4c 8b 4c 24 08 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d 1f f6 2c 00 f7 d8 64 89 01 48
<4> [2058.597679] RSP: 002b:00007ffc49367ee8 EFLAGS: 00000246 ORIG_RAX: 0000000000000139
<4> [2058.597681] RAX: ffffffffffffffda RBX: 000056305acf4cf0 RCX: 00007fa1c04d7839
<4> [2058.597683] RDX: 0000000000000000 RSI: 000056305acf8f50 RDI: 0000000000000006
<4> [2058.597685] RBP: 000056305acf8f50 R08: 0000000000000004 R09: 0000000000000000
<4> [2058.597686] R10: 00007ffc49368060 R11: 0000000000000246 R12: 0000000000000000
<4> [2058.597688] R13: 000056305acf5bf0 R14: 0000000000000020 R15: 0000000000000037
<4> [2058.597695] irq event stamp: 875102
<4> [2058.597699] hardirqs last  enabled at (875101): [<ffffffff8112229e>] console_unlock+0x3fe/0x600
<4> [2058.597702] hardirqs last disabled at (875102): [<ffffffff810019b0>] trace_hardirqs_off_thunk+0x1a/0x1c
<4> [2058.597705] softirqs last  enabled at (875002): [<ffffffff81c0033a>] __do_softirq+0x33a/0x4b9
<4> [2058.597708] softirqs last disabled at (874995): [<ffffffff810b4fb9>] irq_exit+0xa9/0xc0
<4> [2058.597711] WARNING: CPU: 1 PID: 14799 at kernel/dma/direct.c:43 dma_direct_map_page+0x11b/0x160
<4> [2058.597713] ---[ end trace d6bc0b8f33d7cfb3 ]---
Comment 1 CI Bug Log 2019-01-07 16:04:41 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* All machines: igt@i915_selftest@mock_vma - dmesg-warn - mock: overflow 0x00000001bb800000+2097152 of DMA mask ffffffff bus mask 0
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5366/shard-apl7/igt@i915_selftest@mock_vma.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5366/shard-iclb4/igt@i915_selftest@mock_vma.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5366/shard-kbl1/igt@i915_selftest@mock_vma.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5366/shard-snb6/igt@i915_selftest@mock_vma.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2186/shard-apl4/igt@i915_selftest@mock_vma.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2186/shard-kbl4/igt@i915_selftest@mock_vma.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2186/shard-snb7/igt@i915_selftest@mock_vma.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5367/shard-apl1/igt@i915_selftest@mock_vma.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5367/shard-iclb6/igt@i915_selftest@mock_vma.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5367/shard-kbl6/igt@i915_selftest@mock_vma.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5367/shard-snb7/igt@i915_selftest@mock_vma.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2187/shard-apl6/igt@i915_selftest@mock_vma.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2187/shard-kbl4/igt@i915_selftest@mock_vma.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2187/shard-snb2/igt@i915_selftest@mock_vma.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5368/shard-apl3/igt@i915_selftest@mock_vma.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5368/shard-iclb5/igt@i915_selftest@mock_vma.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5368/shard-kbl2/igt@i915_selftest@mock_vma.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5368/shard-snb6/igt@i915_selftest@mock_vma.html
Comment 2 Chris Wilson 2019-01-07 22:04:03 UTC
commit d58f0083d39a17f8e5efbef522f822625956477e (HEAD -> drm-intel-next-queued, drm-intel/for-linux-next, drm-intel/drm-intel-next-queued)
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Jan 7 18:18:56 2019 +0000

    drm/i915/selftests: Mark the whole mock device as DMA capable
    
    Being a mock device, we suffer no DMA restrictions, so set the coherent
    mask to 64b.
    
    v2: Fix up mock_huge_selftests
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=109243
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
    Reviewed-by: Matthew Auld <matthew.auld@intel.com>
    Link: https://patchwork.freedesktop.org/patch/msgid/20190107181856.23789-1-chris@chris-wilson.co.uk
Comment 3 Martin Peres 2019-01-08 12:15:51 UTC
(In reply to Chris Wilson from comment #2)
> commit d58f0083d39a17f8e5efbef522f822625956477e (HEAD ->
> drm-intel-next-queued, drm-intel/for-linux-next,
> drm-intel/drm-intel-next-queued)
> Author: Chris Wilson <chris@chris-wilson.co.uk>
> Date:   Mon Jan 7 18:18:56 2019 +0000
> 
>     drm/i915/selftests: Mark the whole mock device as DMA capable
>     
>     Being a mock device, we suffer no DMA restrictions, so set the coherent
>     mask to 64b.
>     
>     v2: Fix up mock_huge_selftests
>     
>     Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=109243
>     Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
>     Reviewed-by: Matthew Auld <matthew.auld@intel.com>
>     Link:
> https://patchwork.freedesktop.org/patch/msgid/20190107181856.23789-1-
> chris@chris-wilson.co.uk

Thanks for being so fast and to the point :)


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.